# PolylineGlowMaterialProperty

#### new Cesium.PolylineGlowMaterialProperty(options)
DataSources/PolylineGlowMaterialProperty.js 33

A `MaterialProperty` that maps to polyline glow `Material` uniforms.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | `Color.WHITE` | optional A Property specifying the `Color` of the line.
`glowPower` | Property | `0.25` | optional A numeric Property specifying the strength of the glow, as a percentage of the total line width.
`taperPower` | Property | `1.0` | optional A numeric Property specifying the strength of the tapering effect, as a percentage of the total line length. If 1.0 or higher, no taper effect is used.

### Members

#### color : Property
DataSources/PolylineGlowMaterialProperty.js 80

Gets or sets the Property specifying the `Color` of the line.

#### readonlydefinitionChanged : Event
DataSources/PolylineGlowMaterialProperty.js 70

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### glowPower : Property
DataSources/PolylineGlowMaterialProperty.js 87

Gets or sets the numeric Property specifying the strength of the glow, as a percentage of the total line width (less than 1.0).

#### readonlyisConstant : Boolean
DataSources/PolylineGlowMaterialProperty.js 57

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### taperPower : Property
DataSources/PolylineGlowMaterialProperty.js 94

Gets or sets the numeric Property specifying the strength of the tapering effect, as a percentage of the total line length. If 1.0 or higher, no taper effect is used.

### Methods

#### equals(other) → Boolean
DataSources/PolylineGlowMaterialProperty.js 131

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/PolylineGlowMaterialProperty.js 103

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/PolylineGlowMaterialProperty.js 114

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.